version: '3.8'

services:
  app:
    build: .
    container_name: dci-store-api
    restart: always
    ports:
      - "3012:3001"
    environment:
      - NODE_ENV=production
      - JWT_SECRET=${JWT_SECRET}
      - JWT_REFRESH_SECRET=${JWT_REFRESH_SECRET}
      - FIREBASE_AUTH=${FIREBASE_AUTH}
    volumes:
      - .:/app
      - /app/node_modules
